Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.filter
Interface ExclusionFilterService

All Known Implementing Classes:
  ExclusionFilterServiceImpl

public interface ExclusionFilterService

The ExclusionFilterService is the interface which contains primary functions of the exclusion filters.

- exclusionSystemFieldList
- blockingExclusion
- exclusionMatchField

  Method Summary
  `ObjectNode` | `blockingExclusion(ObjectNode objToblock)` This method checks the data available for the blocking process is present in the exclusion list.
  `ObjectNode` | `exclusionMatchField(ObjectNode objTomatch)` This method checks the data available for the matching process is present in the exclusion list.
  `SystemFieldListMap` | `exclusionSystemFieldList(SystemFieldListMap sysFields, java.lang.String candidateId)` This method checks the data available for the SBR calculation is present in the exclusion list.

  Method Detail

  ### blockingExclusion

      public ObjectNode blockingExclusion(ObjectNode objToblock)

    This method checks the data available for the blocking process is present in the exclusion list. If it is present in the exclusion list then ignore that field for matching.

    Returns:
      ObjectNode.

  ### exclusionMatchField

      public ObjectNode exclusionMatchField(ObjectNode objTomatch)

    This method checks the data available for the matching process is present in the exclusion list. If it is present in the exclusion list then ignore that field for the Blocking queries.

    Returns:
      ObjectNode.

  ### exclusionSystemFieldList

      public SystemFieldListMap exclusionSystemFieldList(SystemFieldListMap sysFields,
                                                         java.lang.String candidateId)

    This method checks the data available for the SBR calculation is present in the exclusion list. If it is present in the exclusion list then ignore that SystemField for the survivor calculation.

    Parameters:
      `candidateId` -
    Returns:
      SystemFieldListMap.

  Overview | Package | Class | Tree | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

  Sun Microsystems, Inc.